require 'steamd'
Steamd.load_language

require 'steam/id/version'
require 'steam/id/struct'
require 'steam/id/base'
require 'steam/id/community_id'
require 'steam/id/steam2_id'
require 'steam/id/steam3_id'
require 'steam/id/steam3_id_parser'
require 'steam/id/steam2_id_parser'
require 'steam/id/steam2_printer'
require 'steam/id/steam3_printer'

# Root Steam namespace
module Steam
  # Represents a Valve Steam Id
  module Id
  end
end

# Represents a Valve Steam Id in the Community Id format
CommunityId = Steam::Id::CommunityId

# Represents a Valve Steam Id in the Steam2 Id format
Steam2Id    = Steam::Id::Steam2Id

# Represents a Valve Steam Id in the Steam3 Id format
Steam3Id    = Steam::Id::Steam3Id
